#!/usr/bin/env -S python3

from time import sleep, time
from signal import signal, SIGINT, pause
from sys import exit

def main():
    print("Now is", time())
    signal(SIGINT, lambda *_: (print("Received sigint, stopping in 5s ..."), sleep(5), exit(0)))
    print("Waiting for sigint.")
    pause()

main()
